com.thinkaurelius.titan.graphdb.internal

## Interface InternalRelation

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, InternalElement, Removable, TitanElement, TitanRelation
  All Known Subinterfaces:
    StandardRelation
  All Known Implementing Classes:
    AbstractEdge, AbstractProperty, AbstractTypedRelation, CacheEdge, CacheProperty, StandardEdge, StandardProperty

      public interface InternalRelation
      extends TitanRelation, InternalElement

  Internal Relation interface adding methods that should only be used by Titan
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Property Summary

    - ### Properties inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `isProperty`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()` Number of vertices on this relation
    `int` | `getLen()` Number of vertices on this relation that are aware of its existence
    `<O> O` | `getProperty(RelationType type)`
    `<O> O` | `getPropertyDirect(RelationType type)`
    `Iterable<RelationType>` | `getPropertyKeysDirect()`
    `InternalVertex` | `getVertex(int pos)` Returns the vertex at the given position (0=OUT, 1=IN) of this relation
    `InternalRelation` | `it()` Returns this element in the context of the current transaction.
    `<O> O` | `removePropertyDirect(RelationType type)`
    `void` | `setPropertyDirect(RelationType type, Object value)`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isEdge, isIncidentOn, isLoop, isProperty, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### it

          InternalRelation it()

      Description copied from interface: `InternalElement`
      Returns this element in the context of the current transaction.
      Specified by:
        `it` in interface `InternalElement`
      Returns:

    - #### getVertex

          InternalVertex getVertex(int pos)

      Returns the vertex at the given position (0=OUT, 1=IN) of this relation
      Parameters:
        `pos` -
      Returns:

    - #### getArity

          int getArity()

      Number of vertices on this relation
      Returns:

    - #### getLen

          int getLen()

      Number of vertices on this relation that are aware of its existence
      See Also:
        `TitanEdge.isUnidirected()`

    - #### getProperty

          <O> O getProperty(RelationType type)

    - #### getPropertyDirect

          <O> O getPropertyDirect(RelationType type)

    - #### setPropertyDirect

          void setPropertyDirect(RelationType type,
                               Object value)

    - #### getPropertyKeysDirect

          Iterable<RelationType> getPropertyKeysDirect()

    - #### removePropertyDirect

          <O> O removePropertyDirect(RelationType type)

Copyright © 2012–2014. All rights reserved.